apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: nginx-console-tls
  annotations:
    nginx.ingress.kubernetes.io/configuration-snippet: |
      more_clear_input_headers "WL-Proxy-Client-IP" "WL-Proxy-SSL";
      more_set_input_headers "X-Forwarded-Proto: https";
      more_set_input_headers "WL-Proxy-SSL: true";
    nginx.ingress.kubernetes.io/ingress.allow-http: "false"
spec:
  ingressClassName: nginx
#  tls:
#  - hosts:
#    secretName: domain-tls-cert
  rules:
  - host: {{ .Values.host }}
    http:
      paths:
      - path: /console
        pathType: Prefix
        backend:
          service:
            name: {{ .Release.Name }}-admin-server
            port:
              number: 7001
      - path: /app1
        pathType: Prefix
        backend:
          service:
            name: {{ .Release.Name }}-cluster-app1
            port:
              number: 7003